<?xml version="1.0" encoding="utf-8"?>
<!-- conversion from xhtml to xsl-fo, hk 2004/05/22 -->
<xsl:stylesheet 
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:fo="http://www.w3.org/1999/XSL/Format"
   xmlns:html="http://www.w3.org/1999/xhtml"
   version="1.0" >

  <xsl:output encoding="utf-8" method="xml" />

  <xsl:template match="html:html">
    <fo:root>

      <fo:layout-master-set>
        <!--      page-height="297mm"
                  page-width="210mm"
        -->
        <fo:simple-page-master master-name="seite"
                  margin-top="1cm" 
                  margin-bottom="1cm" 
                  margin-left="2cm" 
                  margin-right="2cm" >
           <fo:region-body region-name="body" 
                  margin-top="2.0cm" margin-bottom="2.5cm" />
           <fo:region-before region-name="top" extent="2.8cm"/>
           <fo:region-after region-name="bottom" extent="1.5cm"/>
        </fo:simple-page-master>
      </fo:layout-master-set>

      <fo:page-sequence master-reference="seite" >
        <fo:static-content flow-name="top" >
            <fo:block 
              font-family="sans-serif" 
              font-size="16pt" 
              line-height="22pt"
              space-after.optimum="1em"
              background-color="silver"
              color="white"
              text-align="center"
              padding-top="0.5em">
              <!-- Processing XHTML to XSL-FO to PDF -->
              <!--xsl:apply-templates select="html:body[1]/html:h1/text()" /-->
              <fo:retrieve-marker retrieve-class-name="kopf" />
            </fo:block>
        </fo:static-content>
        <fo:static-content flow-name="bottom" >
            <fo:block 
              font-family="sans-serif" 
              font-size="12pt" 
              line-height="14pt"
              background-color="white"
              color="black"
              text-align="center"
              padding-top="0.5em">
              <!--fo:retrieve-marker retrieve-class-name="fuss" /-->
              <xsl:apply-templates select="html:head[1]/html:title" />
              <xsl:text> - </xsl:text>
              <fo:page-number format="1" />
            </fo:block>
        </fo:static-content>
        <fo:flow flow-name="body" >
            <fo:block 
                font-family="sans-serif" 
                font-size="12pt" 
                line-height="15pt"
                space-after.optimum="0.5em"
                text-align="left" >
            <fo:block text-align="center"
                font-size="18pt" 
                line-height="20pt"
                font-weight="bold"
                color="#C00" >
              Internet-Technologien
            </fo:block>
            <fo:block text-align="center"
                padding-top="5em"
                font-size="18pt" 
                line-height="20pt"
                font-weight="bold"
                color="#C00" >
              Sommersemester 2005
            </fo:block>
              <xsl:apply-templates select="html:body[1]" />
            </fo:block>

            <fo:block 
                font-family="sans-serif" 
                break-before="page"
                font-size="18pt" 
                line-height="20pt"
                space-after.optimum="0.5em"
                space-before="0.5em" space-after="0.5em"
                font-weight="bold" 
                color="#C00"
                text-align="left">              
              Inhaltsverzeichnis
            </fo:block>
           <fo:list-block space-before="1em" space-after="0.5em" >
              <xsl:for-each select="html:body/html:h1" >
                <fo:list-item space-before="1pt" space-after="1pt">
                  <fo:list-item-label start-indent="0.1cm" >
                    <fo:block>
                      <xsl:number value="position()" format="1. " />
                    </fo:block>
                  </fo:list-item-label>
                  <fo:list-item-body  start-indent="body-start()" >
                    <fo:block space-after="0.5em" color="blue" >
                      <fo:basic-link internal-destination="{generate-id(.)}" >
                         <xsl:apply-templates />
                      </fo:basic-link>
                    </fo:block>
                  </fo:list-item-body>
                </fo:list-item>                
              </xsl:for-each>
            </fo:list-block>

            <fo:block 
                font-family="sans-serif" 
                font-size="8pt" 
                line-height="10pt"
                space-before.optimum="0.2em"
                space-after.optimum="0.2em"
                text-align="left">
              <xsl:apply-templates select="html:body[position() &gt; 1]" 
                                    />
            </fo:block>

         </fo:flow>
      </fo:page-sequence>

    </fo:root>
  </xsl:template>

  <xsl:include href="common-xhtml2fo.xsl" />
  
</xsl:stylesheet>
