
import java.sql.Connection;
import java.sql.Statement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.DriverManager;
import java.sql.SQLException;

import javax.sql.DataSource;
import javax.sql.PooledConnection;
import javax.sql.ConnectionPoolDataSource;
import com.mysql.jdbc.jdbc2.optional.MysqlDataSource;
import com.mysql.jdbc.jdbc2.optional.MysqlConnectionPoolDataSource;

public class MysqlCountPool {

    static String user = "user";
    static String pword = "";

    public static void main(String[] args) {

	// get ConnectionPoolDataSource from Mysql
        MysqlConnectionPoolDataSource mds = 
                       new MysqlConnectionPoolDataSource();
	if ( mds == null ) {
	    return;
	}
	mds.setServerName("127.0.0.1");
	mds.setDatabaseName("inet");
	mds.setUser(user);
	mds.setPassword(pword);
	//mds.setPort(default);

        ConnectionPoolDataSource ds = mds; // get rid of Mysql
        System.out.println("DataSource opened " + ds);

	// get physical and virtual connection
	PooledConnection pc = null;
	Connection dbCon = null;
	try {
            pc = ds.getPooledConnection();
            System.out.println("PooledConnection opened " + pc);
	    dbCon = pc.getConnection();
            System.out.println("Connection opened " + dbCon);
            dbCon.close(); // test recycling
	    Connection dbCon2 = pc.getConnection();
            dbCon = dbCon2;
	    dbCon.setAutoCommit( false );
	} catch (SQLException e) {
	    e.printStackTrace();
	}
	if ( pc == null ) {
	    return;
	}
	if ( dbCon == null ) {
	    return;
	}

        // work with database
	// increment all counters
	Statement stmt = null;
	PreparedStatement ustmt = null;
	ResultSet rs = null;
	String query = "SELECT url, count FROM counter";
	String update = "UPDATE counter SET count = count + 1 WHERE url = ?";
	try {
            stmt = dbCon.createStatement();
	    System.out.println("statement created " + stmt);
            ustmt = dbCon.prepareStatement(update);

	    rs = stmt.executeQuery( query );
	    while ( rs.next() ) {
		String u = rs.getString(1);
		int c = rs.getInt("count");
                System.out.println("u = " + u + ", c = " +c);
		ustmt.setString(1, u );
		int rows = ustmt.executeUpdate();
                System.out.println(""+ustmt + "\nrows = " + rows);
	    }
	    dbCon.commit();
	    rs.close();
	    rs = null;
	    if ( stmt != null ) {
               stmt.close();
	       stmt = null;
	    }
	    if ( ustmt != null ) {
               ustmt.close();
	       ustmt = null;
	    }
	} catch (SQLException e) {
	    try { 
                dbCon.rollback();
	    } catch (SQLException e1) { 
            }
	    e.printStackTrace();
	}

	// finish, close down
	try {
            if ( dbCon != null ) {
               dbCon.close();
               System.out.println(dbCon + " closed");
	       dbCon = null;
	    }
            if ( pc != null ) {
		pc.close();
		System.out.println(pc + " closed");
		pc = null;
	    }
	} catch (SQLException e) {
	    e.printStackTrace();
	}

    }

}
