
import java.io.IOException;
import java.io.PrintWriter;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.AttributesImpl;


/**
 * Die Klasse SAXUtil erweitert SAXSchreiber (einen
 * SAX DefaultHandler) modifikation und zur Ausgabe 
 * der XML Dateien auf einen PrintWriter.
 * JDK &gt;= 1.4
 */

public class SAXUtil extends SAXSchreiber {

    int chapter = 0;
    boolean insertCounter = false;

    public SAXUtil() {
	pw = new Screen();
    }

    public SAXUtil(PrintWriter p) {
	pw = p;
    }


    public void startDocument() {
        chapter = 0;
        super.startDocument();
    }


    public void startElement(String nameuri, String local, String quali, 
                             Attributes attrs) {
        if ( !quali.equals("h1") ) {
           super.startElement(nameuri,local,quali,attrs);
           pw.flush();
           return;
	}
        Attributes at = attrs;
        String cVal = null;
	if ( at != null ) {
	    cVal = at.getValue("count");
            if (cVal == null) { 
               cVal = "" + (++chapter);
               AttributesImpl ai = new AttributesImpl(at);
               ai.addAttribute("","","count","",cVal);
               at = (Attributes) ai;
	    } else {
		chapter = Integer.parseInt(cVal);
	    } 
	} else {
	    AttributesImpl ai = new AttributesImpl();
            cVal = "" + (++chapter);
            ai.addAttribute("","","count","",cVal);
            at = (Attributes) ai;
	}
        insertCounter = true;
        super.startElement(nameuri,local,quali,at);
    } 


    public void characters(char ch[], int start, int length) {
        String s = new String(ch, start, length);
        if ( insertCounter ) { 
           s = "Kapitel " + chapter + ". " + s;
           insertCounter = false;
	}
        pw.print( s );
        pw.flush();
    } 


    public InputSource resolveEntity(String publicId,
                                     String systemId) {
	return null;
    }


    public void notationDecl(String name, String publicId,
                                     String systemId) {
    }

}
